import serial
import time
import QboCmd

port = '/dev/serial0'

# Open serial port
ser = serial.Serial(port, baudrate=115200, bytesize = serial.EIGHTBITS, stopbits = serial.STOPBITS_ONE, parity = serial.PARITY_NONE, rtscts = False, dsrdtr =False, timeout = 0)
print "Open serial port sucessfully."
print(ser.name)

QBO = QboCmd.Controller(ser)

print("Blue Nose")
QBO.SetNoseColor(1) 
time.sleep(1)

print("Right Positon")
#Move the head to the right
QBO.SetServo(1,210, 100)#Axis,Angle,Speed
time.sleep(1)

print("Left position fast")
#Move the head to the left
QBO.SetServo(1,725, 500)#Axis,Angle,Speed
#Pause
time.sleep(1)

print("Up Positon")
#Set a start position 
QBO.SetServo(2,380, 100)#Axis,Angle,Speed
#Pause
time.sleep(1)

print("Down Position")
QBO.SetServo(2,530,100)#Axis,Angle,Speed
time.sleep(1)

print("Smile")
QBO.SetMouth(0x110E00) #happy
time.sleep(1)

print("Center head")
QBO.SetServo(1,500, 100)#Axis,Angle,Speed
#Pause
time.sleep(2)

print("Switch off")
QBO.SetNoseColor(0)
time.sleep(1)
QBO.SetMouth(0)
time.sleep(1)
